// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.wpilibj.shuffleboard.BuiltInWidgets;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.subsystems.SemiClosedLoop;

public class RobotContainer {
    private CommandXboxController driver;

    private SemiClosedLoop test;

    public RobotContainer() {
        driver = new CommandXboxController(0);

        test = new SemiClosedLoop();

        configureBindings();

        configureShuffleboard();
    }

    private void configureBindings() {
        driver.a().onTrue(
            test.goToPosition(0)
        );

        driver.y().onTrue(
            test.goToPosition(1440)
        );
    }

    public Command getAutonomousCommand() {
        return Commands.print("No autonomous command configured");
    }

    private void configureShuffleboard() {
        ShuffleboardTab sensorTab = Shuffleboard.getTab("Sensors");

		Shuffleboard.selectTab("Sensors");

        sensorTab.addDouble("Position", test::getEncoderPosition)
			.withSize(1, 1)
			.withPosition(0, 0)
			.withWidget(BuiltInWidgets.kTextView);
    }
}
