package frc.robot.constants;

import com.revrobotics.spark.config.SparkMaxConfig;

public class SemiClosedLoopConstants {
    public static final int kMotorID = 9;

    public static final double kMaxAcceleration = 360;
    public static final double kMaxVelocity = 720;

    public static final double kPositionConversionFactor = 360.0/25.0;
    public static final double kVelocityConversionFactor = kPositionConversionFactor / 60.0;

    public static final double kP = 0.03;
    public static final double kI = 0;
    public static final double kD = 0;

    public static final SparkMaxConfig motorConfig = new SparkMaxConfig();

    static {
        motorConfig.encoder
            .positionConversionFactor(kPositionConversionFactor)
            .velocityConversionFactor(kVelocityConversionFactor);
        motorConfig.closedLoop
            .pid(
                kP, 
                kI, 
                kD
            );
    }
}
